<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursVorschlag\KursKopie;


class KursKopieUseCase extends \Kufer\Web\KuferTools\Basis\KursVorschlag\KursKopie\KursKopieUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSVORSCHLAG_VA;
  }

  public static function getToolSectionId()
  {
    return 615;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('616.0.1')) {
      return false;
    }

    return true;
  }
}